Skip to content

Black Friday:

60% off

Cliedesk Pro

Every plan, every site count. Ends Cyber Monday.

00 days 00 hrs 00 min 00 sec
Claim 60% off

REST API v1

Saved replies

Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.

List saved replies

GET /saved-replies

Scope saved_replies:read · Cost 1

Parameters

NameTypeDescription
conversation_id query · string
mode query · string One of: new, reply, note, bulk
q query · string
status query · string One of: active, inactive, archived, all
category query · string
sort query · string One of: manual, name, usage, recent, relevance
limit query · integer

Create a saved reply

POST /saved-replies

Scope saved_replies:write · Cost 2

Parameters

NameTypeDescription
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name required string
shortcut string
category string
scope string One of: personal, team, shared
status string One of: active, inactive, archived
default_language string
note_html string
steps array of object
availability object
variants array of object
team_ids array of string
product_ids array of string
sort integer

Render a saved reply (sends nothing)

POST /saved-replies/render

Scope saved_replies:read · Cost 2

Parameters

NameTypeDescription
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
ids required array of integer
conversation_id required string

Get a saved reply

GET /saved-replies/{id}

Scope saved_replies:read · Cost 1

Parameters

NameTypeDescription
id required path · string

Change a saved reply

PATCH /saved-replies/{id}

Scope saved_replies:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name string
shortcut string
category string
scope string One of: personal, team, shared
status string One of: active, inactive, archived
default_language string
note_html string
steps array of object
availability object
variants array of object
team_ids array of string
product_ids array of string
sort integer

Delete a saved reply

DELETE /saved-replies/{id}

Scope saved_replies:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
confirm boolean